---
title: Как вывести произвольный табличный документ в общую форму печати
slug: примеры-кода-шаблоны-бсп-и-типовые-1-библиотека-стандартных-подсистем-механизмы-печати/как-вывести-произвольный-табличный-документ-в-общую-форму-печати
---
```bsl
&НаКлиенте
Процедура ВывестиНаПечать(Команда)

	Если Не ПроверитьЗаполнение(); Тогда
		Возврат;
	КонецЕсли;
	
	ТабДок = СформироватьТабличныйДокумент();
	КоллекцияПечатныхФорм = УправлениеПечатьюКлиент.НоваяКоллекцияПечатныхФорм("ИмяКоллекцииПечатныхФорм");

	КоллекцияПечатныхФорм[0].ТабличныйДокумент = ТабДок;
	КоллекцияПечатныхФорм[0].Экземпляров = 1;
	КоллекцияПечатныхФорм[0].СинонимМакета = "Синоним макета;
	
	УправлениеПечатьюКлиент.ПечатьДокументов(КоллекцияПечатныхФорм, Неопределено, ЭтотОбъект);
	
КонецПроцедуры
```