---
title: Адрес электронной почты пользователя
slug: примеры-кода-шаблоны-бсп-и-типовые-1-библиотека-стандартных-подсистем-работа-с-почтой/адрес-электронной-почты-пользователя
---
```bsl
// Функция - Адрес электронной почты пользователя
//
// Параметры:
//  Пользователь - СправочникСсылка.Пользователи - 
// 
// Возвращаемое значение:
//  Строка - Проверенный адрес электронной почты. Если данные контактной информации не отвечают трвебованиям к адресу ЭП, 
//			 возвращается пустая строка
//
Функция АдресЭлектроннойПочтыПользователя(Пользователь) Экспорт
	
	АдресЭлектроннойПочты = УправлениеКонтактнойИнформацией.КонтактнаяИнформацияОбъекта(Пользователь, 
		Справочники.ВидыКонтактнойИнформации.EmailПользователя);
		
	Результат = "";
		
	Если ОбщегоНазначенияКлиентСервер.АдресЭлектроннойПочтыСоответствуетТребованиям(АдресЭлектроннойПочты, Ложь) Тогда
		Результат = АдресЭлектроннойПочты;
	КонецЕсли;
	
	Возврат Результат;
	
КонецФункции
```